Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config
Interface JposEntry.Prop

All Superinterfaces:
  java.lang.Comparable

All Known Implementing Classes:
  SimpleEntry.Prop

Enclosing class:
  JposEntry

public static interface JposEntry.Prop
extends java.lang.Comparable

Inner interface to represent a property of a JposEntry

Since:
  1.3 (Washington DC 2001)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Method Summary
`JposEntry.Prop` | `copy()`
`boolean` | `equals(java.lang.Object otherProp)`
`java.lang.String` | `getName()`
`java.lang.Class` | `getType()` Returns the Class object that is the type of this property value possible values returned are the java.lang wrapper classes for the primitive types e.g.
`java.lang.Object` | `getValue()`
`java.lang.String` | `getValueAsString()`
`boolean` | `isOfType(java.lang.Class type)`
`void` | `setName(java.lang.String s)` Sets the name of this property
`void` | `setValue(java.lang.Object objValue)` Sets the value of this property (String).

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this property

### getValue

    public java.lang.Object getValue()

  Returns:
    the value of this property (the value is returned as an Object)

### getValueAsString

    public java.lang.String getValueAsString()

  Returns:
    the value of this property as a String

### getType

    public java.lang.Class getType()

  Returns the Class object that is the type of this property value possible values returned are the java.lang wrapper classes for the primitive types e.g. Integer, Byte, Boolean, ...
  Returns:
    the type of this property as a java.lang.Class object

### setName

    public void setName(java.lang.String s)
                 throws java.lang.IllegalArgumentException

  Sets the name of this property
  Parameters:
    `s` - the String object
  Throws:
    `java.lang.IllegalArgumentException` - if the value is null

### setValue

    public void setValue(java.lang.Object objValue)
                  throws java.lang.IllegalArgumentException

  Sets the value of this property (String). Also sets its Type.

  This is the default type of any property

  Parameters:
    `objValue` - the object value
  Throws:
    `java.lang.IllegalArgumentException` - if the value is null or that this is not a valid typed property value

### isOfType

    public boolean isOfType(java.lang.Class type)

  Parameters:
    `type` - the Class object
  Returns:
    true if the property is of the type specified by the Class object passed

### equals

    public boolean equals(java.lang.Object otherProp)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherProp` - the other JposEntry.Prop
  Returns:
    true if this and otherProp have same name and value

### copy

    public JposEntry.Prop copy()

  Returns:
    a new copy of this JposEntry.Prop object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details